#### D.4.28.5 heightZ

Procedure from library `primdecint.lib` (see primdecint_lib).

Usage:
  heightZ(I); I ideal
  The coefficients must be ZZ.

Return:
  the height of the input ideal

Example:

    LIB "primdecint.lib";
    ring R=integer,(a,b,c,d),dp;
    ideal I1=9,a,b;
    ideal I2=3,c;
    ideal I3=11,2a,7b;
    ideal I4=13a2,17b4;
    ideal I5=9c5,6d5;
    ideal I6=17,a15,b15,c15,d15;
    ideal I=intersectZ(I1,I2);
    I=intersectZ(I,I3);
    I=intersectZ(I,I4);
    I=intersectZ(I,I5);
    I=intersectZ(I,I6);
    heightZ(I);
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.